Shell create request

Request of create shell

Endpoint

POST /api/shell/

Auth

Authorization: Bearer ${token}

Body

Content-Type: application/json
Json
{
    "identity": "",
    "path": "",
    "args": []
}

path and args are optional. When omitted, the engine launches the OS default shell (/bin/bash on Linux, /bin/zsh on macOS, cmd.exe on Windows) with the full inherited environment plus TERM=xterm-256color.

Response

Json
[
    {
        "kind": "status",
        "payload": {
            "code": 0,
            "message": ""
        }
    },
    {
        "kind": "entity",
        "payload": {
            "args": null,
            "columns": 0,
            "created_at": 0,
            "identity": "",
            "path": "",
            "rows": 0,
            "sessions": 0,
            "state": ""
        }
    }
]

Notes

  • Shell Permission Required
  • Read-Only Permission Restricted